dialog {
	border: 0;
	border-radius: 0.6rem;
	box-shadow: 0 0 1em black;
	margin: auto;
	padding: 0;
}
 
dialog::backdrop {
	/* 背景を半透明のブラックにする */
	background-color: rgba(0, 0, 0, 0.4);
}

/* ダイアログの幅 */
dialog[open] {
	width: fit-content;
}
.dialog-header, .dialog-content {
	margin: 5px;
}

/* ダイアログを閉じるボタン */
.dialog-close-header {
	text-align: right;
	min-height: 30px;
	display: flex;
}
dialog .dialog-close-btn {
	background-color: #C0C0C0;
	padding: 0;
	min-width: 50px;
	height: 30px;
	margin-left: auto;
	text-align: center;
	opacity: 0.7;
	border-radius: 0 0 0 5px;
	border: none;
	font-size: 1.25rem;
}
.dialog-close-btn:hover {
	color: #FFFFFF;
	background-color: #FF0000;
}
.dialog-close-btn {
	cursor: pointer;
}

/* ダイアログのコンテンツ(下部固定) */
.fixed-footer-dialog .dialog-content {
	position: absolute;
	height: calc(100% - 130px);
	overflow-y: auto;
	margin: auto;
	padding: 1px 5px;
	width: fit-content;
	right: 0;
	left: 0;
}

/* カレンダーマスタ照会のダイアログはヘッダが二段のため別途設定 */
#calendar-import-dialog.fixed-footer-dialog .dialog-content {
	height: calc(100% - 180px);
}

/* ダイアログのフッター(下部固定) */
.fixed-footer-dialog .dialog-footer {
	position: absolute;
	bottom: 0;
	width: 100%;
}
/* ダイアログのフッター(ボタン) */
.dialog-footer.btn-footer {
	display: flex;
	justify-content: space-between;
}
.dialog-footer.btn-footer button {
	width: 7rem;
}

/* ダイアログの横幅(下部固定) */
dialog[open].fixed-footer-dialog {
	width: 900px;
}

/* ダイアログ内にあるテーブルのヘッダ固定 */
.dialog-table.sticky-table thead {
	top: 0;
}
